Changes group ownership of symlink

- « is_writeable

- lchown »

- PHP Manual
- Filesystem Functions
- Changes group ownership of symlink

# lchgrp

(PHP 5 >= 5.1.3, PHP 7, PHP 8)

lchgrp — Changes group ownership of symlink

### Description

lchgrp(string `$filename`, string|int `$group`): bool

Attempts to change the group of the symlink `filename` to `group`.

Only the superuser may change the group of a symlink arbitrarily; other users may change the group of a symlink to any group of which that user is a member.

### Parameters

`filename`

  Path to the symlink.

`group`

  The group specified by name or number.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 Changing the group of a symbolic link

    <?php
    $target = 'output.php';
    $link = 'output.html';
    symlink($target, $link);

    lchgrp($link, 8);
    ?>

### Notes

> Note: This function will not work on remote files as the file to be examined must be accessible via the server's filesystem.

> Note: This function is not implemented on Windows platforms.

### See Also

- chgrp() - Changes file group
- lchown() - Changes user ownership of symlink
- chown() - Changes file owner
- chmod() - Changes file mode